Still celebrating National IT Professionals Day with 3 months of free Premium Membership. Use Code ITDAY17

x
?
Solved

Migrate from PB6.0 to PB5.0

Posted on 2001-09-05
5
Medium Priority
?
264 Views
Last Modified: 2013-12-26
Can I open a PB Ver 6.0 application using PB Ver 5.0 ?
0
Comment
Question by:shilpa
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
  • 3
5 Comments
 
LVL 4

Expert Comment

by:Bhatti
ID: 6456646
You write a question "Can I open a PB Ver 6.0 application using PB Ver 5.0 ? " , of course  you can't. But the question "Can I migrate thr current version application to the previous version?" looks impossible. But nothing i impossible.

I am thinking on it and let you know soon .

Thanks.

Bhatti
0
 
LVL 4

Expert Comment

by:Bhatti
ID: 6464519
I have only one version of PB and cannot test, but if you have PB6.0 and PB 5.0 then,

Open the pbls in PB 6.0
Export all object from library painter menu source-> export.
Espacialy for datawindow objects in source files from export you can read the seond or third line, is written release 6, change the 6 to 5 ( this is only in datawindow).
now this exported source files import in the PB5.0 with new pbl names.

You should test it.

DON'T FORGET TO SECURE YOUR PBLs OF PB6.0 FIRST.

Save a copy of the PB 6.0 Libs somewhere in you harddisk.  If test crashed then you have original PBLs.


Please let me know your result.

Thanks


Bhatti
0
 
LVL 2

Accepted Solution

by:
Ariel Garcia earned 300 total points
ID: 6468038
Yes i doit before, but are some thinks dont funtioning good but was a litte more job to do it..

1.- Got to library painter
2.- Expeort all the objects
3.- Retouch the code (translate)
3.a.- first all change the 6 for a 5 on the first line
3.b.- Eliminate some things on the 3 line and the last line
Note: See the diference from 5 to 6 first
4.- Import your code in to PB5
0
 
LVL 4

Expert Comment

by:Bhatti
ID: 6471247
Shilpa,

Can you write me some worlds about your judgment.
0
 

Author Comment

by:shilpa
ID: 6473195
Bhatti,
  The problem is I cant try it out right now as I have only one version of PB right now - a friend of mine had asked me this. But it seems to me that your solution should work. Thanks a lot.

0

Featured Post

Concerto Cloud for Software Providers & ISVs

Can Concerto Cloud Services help you focus on evolving your application offerings, while delivering the best cloud experience to your customers? From DevOps to revenue models and customer support, the answer is yes!

Learn how Concerto can help you.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Programmer's Notepad is, one of the best free text editing tools available, simply because the developers appear to have second-guessed every weird problem or issue a programmer is likely to run into. One of these problems is selecting and deleti…
Here is a helpful source code for C++ Builder programmers that allows you to manage and manipulate HTML content from C++ code, while also handling HTML events like onclick, onmouseover, ... Some objects defined and used in this source include: …
This tutorial covers a step-by-step guide to install VisualVM launcher in eclipse.
The viewer will learn how to synchronize PHP projects with a remote server in NetBeans IDE 8.0 for Windows.

721 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question